Name: puias-logos
Summary: Red Hat-related icons and pictures.
Version: 0.1
Release: 2%{dist}
Group: System Environment/Base
Source0: puias-logos-%{version}.tar.bz2
Provides: redhat-logos = 1.1.14.3-1

Copyright: None
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
The redhat-logos package (the "Package") used to contain Red Hat
copyrighted/trademarked images.  They are ALL removed and the
remainder should be redistributable.  The file names may still
be the same but only so that no application is broken.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/NOT-redhat
for i in NOT-redhat-pixmaps/*; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/NOT-redhat
done
ln -sf NOT-redhat $RPM_BUILD_ROOT%{_datadir}/pixmaps/redhat
(cd $RPM_BUILD_ROOT%{_datadir}/pixmaps/NOT-redhat; \
for i in *-mini.xpm; do \
  linkfile=`echo $i | sed -e "s/\(.*\)-mini/mini-\1/"` ; \
  ln -s $i $linkfile ; \
done)

# should be ifarch i386
mkdir -p $RPM_BUILD_ROOT/boot/grub
install -m 644 bootloader/rhlilo-en.pcx $RPM_BUILD_ROOT/boot/message
install -m 644 bootloader/rhlilo-ja.pcx $RPM_BUILD_ROOT/boot/message.ja
install -m 644 bootloader/grub-splash.xpm.gz $RPM_BUILD_ROOT/boot/grub/splash.xpm.gz
# end i386 bits

mkdir -p $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
for i in firstboot/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
for i in gnome-splash/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/pics
mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/pics/locolor
for i in kde-splash/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/pics
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/pics/locolor
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
for i in pixmaps/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gdm/themes/Bluecurve
for i in gdm/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/gdm/themes/Bluecurve
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_datadir}/firstboot
%{_datadir}/apps
%{_datadir}/pixmaps
%{_datadir}/gdm
# should be ifarch i386
/boot/message*
/boot/grub/splash.xpm.gz
# end i386 bits

%changelog
* Wed Jan 24 2007 Josko Plazonic <plazonic@math.princeton.edu>
- some progs require redhat-logos with a version so specify one

* Wed Dec 10 2003 Josko Plazonic <plazonic@math.princeton.edu>
- removed all redhat shadowman and other images
